Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.columniterator
Interface IColumnIterator

All Superinterfaces:
  java.io.Closeable, CloseableIterator<IColumn>, java.util.Iterator<IColumn>

All Known Subinterfaces:
  ICountableColumnIterator, ISSTableColumnIterator

All Known Implementing Classes:
  AbstractColumnIterator, LazyColumnIterator, SimpleAbstractColumnIterator, SSTableIdentityIterator, SSTableNamesIterator, SSTableSliceIterator

    public interface IColumnIterator

extends CloseableIterator<IColumn>

Method Summary
`void` | `close()` clean up any open resources
`ColumnFamily` | `getColumnFamily()`
`DecoratedKey` | `getKey()`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### getColumnFamily

    ColumnFamily getColumnFamily()

  Returns:
    A ColumnFamily holding metadata for the row being iterated. Do not modify this CF. Whether it is empty or not is implementation-dependent.

### getKey

    DecoratedKey getKey()

  Returns:
    the current row key

### close

    void close()
               throws java.io.IOException

  clean up any open resources

  Specified by:
    `close` in interface `java.io.Closeable`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation